Package org.apache.torque.generator.configuration.mergepoint

# Class ActionSaxHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
org.apache.torque.generator.configuration.mergepoint.ActionSaxHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

Direct Known Subclasses:
  `ApplyActionSaxHandler`, `OptionActionSaxHandler`, `OutputActionSaxHandler`, `SourceElementAttributeActionSaxHandler`, `TraverseAllActionSaxHandler`

public abstract class ActionSaxHandler extends DefaultHandler
A SAX Handler which handles for the action element in mergepoints.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionSaxHandler(MergepointAction action, ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MergepointAction`
  `getAction()`
  Returns the action which was configured by this handler.
  `protected ConfigurationProvider`
  `getConfigurationProvider()`
  Returns the configuration provider used by this handler.
  `protected UnitDescriptor`
  `getUnitDescriptor()`
  Returns the description of the generation unit.
  `void`
  `startElement(String uri, String localName, String rawName, Attributes attributes)`

  ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

  `characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.xml.sax.ContentHandler

  `declaration`

- ## Constructor Details

  - ### ActionSaxHandler

    public ActionSaxHandler(MergepointAction action, ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor)
    Constructor.
    Parameters:
      `action` - paths of the underlying project, not null.
      `configurationProvider` - The access object for the configuration files, not null.
      `unitDescriptor` - The description of the generation unit, not null.
    Throws:
      `NullPointerException` - if an argument is null.

- ## Method Details

  - ### startElement

    public void startElement(String uri, String localName, String rawName, Attributes attributes) throws SAXException
    Specified by:
      `startElement` in interface `ContentHandler`
    Overrides:
      `startElement` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### getAction

    public MergepointAction getAction()
    Returns the action which was configured by this handler.
    Returns:
      the action configured by this handler, not null.

  - ### getConfigurationProvider

    protected ConfigurationProvider getConfigurationProvider()
    Returns the configuration provider used by this handler.
    Returns:
      the configuration provider, not null.

  - ### getUnitDescriptor

    protected UnitDescriptor getUnitDescriptor()
    Returns the description of the generation unit.
    Returns:
      the description of the generation unit, not null.